## template:jinja

server {
    # Setup HTTPS certificates
    listen       443 default ssl;
    server_name  {{ip_address}};
    ssl_certificate      /etc/nginx/certs/cert.pem;
    ssl_certificate_key  /etc/nginx/certs/key.pem;
    location /argocd/ {
        proxy_pass    http://127.0.0.1:30000/argocd/;
        proxy_redirect    off;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto "https";
        proxy_buffering off;
    }
    location / {
        proxy_pass http://127.0.0.1:30010/;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto "https";
    }
}

{% if use_tpm %}
server {
    # Setup HTTPS certificates
    listen       8443 default ssl;
    server_name  {{ip_address}};
    ssl_certificate      /etc/nginx/certs/cert.pem;
    ssl_certificate_key  /etc/nginx/certs/key.pem;
    location / {
        proxy_pass http://127.0.0.1:30020/;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto "https";
    }
}
{% endif %}
